Page MenuHomePhabricator

.editOptions should specify a text color so it works on dark skins
Closed, ResolvedPublic

Description

.editOptions specifies a light background color but inherits text. As a result on a dark skin that uses light text this becomes light text on light text.

The fix for this would probably be to specify a text color.


Version: 1.24rc
Severity: normal

Details

Reference
bz64732

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:24 AM
bzimport added a project: MediaWiki-Interface.
bzimport set Reference to bz64732.
bzimport added a subscriber: Unknown Object (MLST).

Change 133042 had a related patch set uploaded by Daniel Friesen:
Specify an explicit text colour on some components that change the background colour.

https://gerrit.wikimedia.org/r/133042

Jdlrobson changed the task status from Open to Stalled.Nov 3 2015, 12:41 AM
Jdlrobson added a subscriber: Jdlrobson.

No activity since May 2014.

Krinkle removed a subscriber: Krinkle.Nov 3 2015, 7:07 AM
Aklapper changed the task status from Stalled to Open.Nov 18 2016, 4:04 PM
Aklapper added a subscriber: Aklapper.

I don't see anything stalled here - anyone can rework the patch if wanted.

Change 133042 had a related patch set uploaded (by Bartosz Dziewoński; owner: Daniel Friesen):
[mediawiki/core@master] Specify an explicit text colour on some components that change the background colour

https://gerrit.wikimedia.org/r/133042

Change 133042 merged by jenkins-bot:
[mediawiki/core@master] Specify an explicit text colour on some components that change the background colour

https://gerrit.wikimedia.org/r/133042

matmarex closed this task as Resolved.Nov 10 2017, 7:01 PM
matmarex assigned this task to DanielFriesen.
matmarex removed a project: Patch-For-Review.